Altiris Deployment Solution Server DB Manager Unauthenticated Command Execution

high Nessus Plugin ID 40822
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote Windows host has a program that is affected by a security bypass vulnerability.

Description

The remote host is running a vulnerable version of Altiris Deployment Solution Server. Authentication is not required prior to sending commands to the DB Manager service. A remote attacker could exploit this to modify or read data from the Altiris database.

Solution

Upgrade to Altiris Deployment Solution Server 6.9.430 or later.

See Also

http://www.nessus.org/u?0282e94e

http://www.nessus.org/u?4f922c58

Plugin Details

Severity: High

ID: 40822

File Name: altiris_ds_dbmanager_security_bypass.nasl

Version: 1.11

Type: remote

Agent: windows

Family: Windows

Published: 8/31/2009

Updated: 11/15/2018

Dependencies: altiris_deployment_server_detect.nasl

Risk Information

VPR

Risk Factor: Medium

Score: 4

CVSS v2

Risk Factor: High

Base Score: 7.5

Temporal Score: 5.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

Exploit Ease: No known exploits are available

Exploited by Nessus: true

Patch Publication Date: 8/26/2009

Vulnerability Publication Date: 8/26/2009

Reference Information

CVE: CVE-2009-3107

BID: 36110

CWE: 264

Secunia: 36502